#include "sys.h"

#define CYCLES_PER_MS 6666  // ish

void busy_sleep_1ms() {
  for (int i = 0; i < CYCLES_PER_MS; ++i) {
    // nothing
  }
}

/** waits a general amount of time */
void busy_sleep(int ms) {
  for (int i = 0; i < ms; ++i) {
    busy_sleep_1ms();
  }
}

int strlen(const char* str) {
  int i = 0;
  while(str[i] != '\0') {
    i++;
  }
  return i;
}

void log(const char* stuff) {
  uart_writen(uart0, stuff, strlen(stuff));
}

int main() {
  while(1) {
    log("Hello, world!\r\n");
    busy_sleep(1000);
  }
}
